package jedi

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type SendSmsRequest struct {
	*requests.HttpRequest
	User  string `position:"Query" name:"User" default:""`
	Code  string `position:"Query" name:"Code" default:"-"`
	Prams string `position:"Query" name:"Prams" default:"-"`
}

type SendSmsResponse struct {
	*responses.BaseResponse
	BizId string `json:"BizId"`
}

func CreateSendSmsRequest() (req *SendSmsRequest) {
	req = &SendSmsRequest{
		HttpRequest: &requests.HttpRequest{},
	}
	req.InitWithApiInfo(PRODUCT, VERSION, "/api/sms/send")
	return
}

func CreateSendSmsResponse() (response *SendSmsResponse) {
	response = &SendSmsResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
