package requests

type CommonRequest struct {
	*baseRequest
	Product  string
	Ontology AcsRequest
}

func (request *CommonRequest) TransToAscRequest() {
	httpReqeust := &HttpRequest{}
	httpReqeust.baseRequest = request.baseRequest
	httpReqeust.product = request.Product
	request.Ontology = httpReqeust
}

func (request *CommonRequest) BuildUrl() string {
	return request.Ontology.BuildUrl()
}

func (request *CommonRequest) BuildQueries() string {
	return request.Ontology.BuildQueries()
}
