package requests

type HttpRequest struct {
	*baseRequest
}

func (request *HttpRequest) init() {
	request.baseRequest = defaultBaseRequest()
	request.Method = POST
}

func (request *HttpRequest) BuildUrl() string {
	return ""
}

func (request *HttpRequest) BuildQueries() string {
	return ""
}

func (request *HttpRequest) GetActionName() string {
	return request.actionName
}

func (request *HttpRequest) InitWithApiInfo(product, version, action string) {
	request.init()
	request.product = product
	request.version = version
	request.actionName = action
}
